<?php
/**********************************************************************************
* Chatwee_install.php                                                            *
***********************************************************************************
***********************************************************************************
* This program is distributed in the hope that it is and will be useful, but      *
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY    *
* or FITNESS FOR A PARTICULAR PURPOSE.                                            *
*                                                                                 *
* This file is a simplified database installer. It does what it is suppoed to.    *
**********************************************************************************/

if (file_exists(dirname(__FILE__) . "/SSI.php") && !defined("SMF")) {
	require_once(dirname(__FILE__) . "/SSI.php");
} elseif (!defined("SMF")) {
	die("<b>Error:</b> Cannot install - please verify you put this file in the same place as SMF\"s SSI.php.");
}

global $modSettings, $smcFunc, $db_prefix;

if (!array_key_exists("db_add_column", $smcFunc)) {
	db_extend("packages");
}

$hook_functions = Array(
	"integrate_pre_include" => "$sourcedir/Chatwee.php",
	"integrate_register" => "register_chatwee_settings",
	"integrate_load_theme" => "chatwee_code_load_theme",
	"integrate_modify_modifications" => "modify_modifications_settings",
	"integrate_login" => "remote_login",
	"integrate_logout" => "remote_logout"
);

foreach ($hook_functions as $hook => $function) {
	add_integration_function($hook, $function);
}

$columns = array(
				array(
					'name' => 'username',
					'type' => 'varchar(80)'
					),
				array(
					'name' => 'chatwee_id',
					'type' => 'longtext'
					)
				);

$indexes = array(
				array(
					'type' => 'primary',
					'columns' => array('username')
					)
				);

$smcFunc['db_create_table']('{db_prefix}users_chatwee_id', $columns, $indexes, array());

if (SMF == "SSI") {
   echo "Congratulations! You have successfully installed this mod!";
}

?>