<?php
/**********************************************************************************
* Chatwee_uninstall.php                                                            *
***********************************************************************************
***********************************************************************************
* This program is distributed in the hope that it is and will be useful, but      *
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY    *
* or FITNESS FOR A PARTICULAR PURPOSE.                                            *
*                                                                                 *
* This file is a simplified database installer. It does what it is suppoed to.    *
**********************************************************************************/
if (file_exists(dirname(__FILE__) . "/SSI.php") && !defined("SMF")) {
	require_once(dirname(__FILE__) . "/SSI.php");
}

global $modSettings, $smcFunc, $db_prefix;

if (!array_key_exists("db_add_column", $smcFunc)) {
	db_extend("packages");
}

$to_remove = Array(
	"enable_chatwee",
	"chatwee_code",
	"enable_sso",
	"chatwee_id",
	"chatwee_api_key",
	"show_avatars",
	"global_moderators_as_admin"
);

foreach ($to_remove as $setting) {
	if (isset($modSettings[$setting])) {
		unset($modSettings[$setting]);
	}
}

$hook_functions = Array(
	"integrate_pre_include" => "$sourcedir/Chatwee.php",
	"integrate_register" => "register_chatwee_settings",
	"integrate_load_theme" => "chatwee_code_load_theme",
	"integrate_modify_modifications" => "modify_modifications_settings",
	"integrate_login" => "remote_login",
	"integrate_logout" => "remote_logout"
);

foreach ($hook_functions as $hook => $function) {
	remove_integration_function($hook, $function);
}

$smcFunc["db_drop_table"]("{db_prefix}users_chatwee_id", array());